from flask import Blueprint
from app.controllers.authcontroller import home_page,dashboard,logout,login,login_user,users_display,data_display,file_display
auth_bp = Blueprint('auth_blueprint',__name__)

auth_bp.route('/login',methods=['GET','POST'])(login)
auth_bp.route('/login_user',methods=['GET','POST'])(login_user)
auth_bp.route('/home',methods=['GET','POST'])(home_page)
auth_bp.route('/dashboard',methods=['GET','POST'])(dashboard)
auth_bp.route('/logout',methods=['GET','POST'])(logout)
auth_bp.route('/user_display', methods=['GET','POST'])(users_display)
auth_bp.route('/data_display', methods=['GET','POST'])(data_display) 
auth_bp.route('/file_display', methods=['GET','POST'])(file_display) 
#auth_bp.route('/test_connection', methods=['GET','POST'])(test_connection) 
#auth_bp.route('/toggle_status', methods=['GET','POST'])(toggle_status) 
#auth_bp.route('/display_file',methods=['GET','POST'])(display_file)
#auth_bp.route('/display_error/<int:file_id>',methods=['GET','POST'])(display_error)
#auth_bp.route('/toggle_error_status', methods=['GET','POST'])(toggle_error_status) 


